ON_UserStringList Class Reference

`#include <pcl/surface/3rdparty/opennurbs/opennurbs_userdata.h>`

Inheritance diagram for ON_UserStringList:

## Public Member Functions

| ON_UserStringList ()
| ~ON_UserStringList ()
void | Dump (ON_TextLog &text_log) const
unsigned int | SizeOf () const
ON__UINT32 | DataCRC (ON__UINT32 current_remainder) const
ON_BOOL32 | Write (ON_BinaryArchive &binary_archive) const
ON_BOOL32 | Read (ON_BinaryArchive &binary_archive)
ON_BOOL32 | GetDescription (ON_wString &description)
ON_BOOL32 | Archive () const
bool | SetUserString (const wchar_t *key, const wchar_t *string_value)
bool | GetUserString (const wchar_t *key, ON_wString &string_value) const
int | SetUserStrings (int count, const ON_UserString *us, bool bReplace)
Public Member Functions inherited from ON_UserData
| ON_UserData ()
| ON_UserData (const ON_UserData &)
ON_UserData & | operator= (const ON_UserData &)
| ~ON_UserData ()
ON_BOOL32 | IsValid (ON_TextLog *text_log=NULL) const
ON_Object * | Owner () const
ON_UserData * | Next () const
ON_UUID | UserDataClassUuid () const
ON_BOOL32 | IsUnknownUserData () const
virtual ON_BOOL32 | Transform (const ON_Xform &)
Public Member Functions inherited from ON_Object
bool | CopyFrom (const ON_Object *src)
| ON_Object ()
| ON_Object (const ON_Object &)
ON_Object & | operator= (const ON_Object &)
virtual | ~ON_Object ()
void | EmergencyDestroy ()
virtual void | MemoryRelocate ()
ON_BOOL32 | IsKindOf (const ON_ClassId *pClassId) const
virtual ON::object_type | ObjectType () const
virtual ON_UUID | ModelObjectId () const
bool | SetUserString (const wchar_t *key, const wchar_t *string_value)
int | SetUserStrings (int count, const ON_UserString *user_strings, bool bReplace)
bool | GetUserString (const wchar_t *key, ON_wString &string_value) const
int | GetUserStrings (ON_ClassArray< ON_UserString > &user_strings) const
int | GetUserStringKeys (ON_ClassArray< ON_wString > &user_string_keys) const
int | UserStringCount () const
ON_BOOL32 | AttachUserData (ON_UserData *pUserData)
ON_BOOL32 | DetachUserData (ON_UserData *pUserData)
ON_UserData * | GetUserData (const ON_UUID &userdata_uuid) const
void | PurgeUserData ()
ON_UserData * | FirstUserData () const
void | TransformUserData (const ON_Xform &xform)
void | CopyUserData (const ON_Object &source_object)
void | MoveUserData (ON_Object &source_object)
virtual void | DestroyRuntimeCache (bool bDelete=true)

## Public Attributes

ON_ClassArray< ON_UserString > | m_e
Public Attributes inherited from ON_UserData
ON_UUID | m_userdata_uuid
ON_UUID | m_application_uuid
unsigned int | m_userdata_copycount
ON_Xform | m_userdata_xform

## Detailed Description

Definition at line 264 of file opennurbs_userdata.h.

## Constructor & Destructor Documentation

ON_UserStringList::ON_UserStringList | ( |  | ) |

ON_UserStringList::~ON_UserStringList | ( |  | ) |

## Member Function Documentation

ON_BOOL32 ON_UserStringList::Archive | ( |  | ) | const

virtual

Reimplemented from ON_UserData.

ON__UINT32 ON_UserStringList::DataCRC | ( | ON__UINT32 | current_remainder | ) | const

virtual

Reimplemented from ON_Object.

void ON_UserStringList::Dump | ( | ON_TextLog & | text_log | ) | const

virtual

Reimplemented from ON_UserData.

ON_BOOL32 ON_UserStringList::GetDescription | ( | ON_wString & | description | ) |

virtual

Reimplemented from ON_UserData.

bool ON_UserStringList::GetUserString | ( | const wchar_t * | key,
|  | ON_wString & | string_value
| ) |  | const

ON_BOOL32 ON_UserStringList::Read | ( | ON_BinaryArchive & | binary_archive | ) |

virtual

Reimplemented from ON_Object.

bool ON_UserStringList::SetUserString | ( | const wchar_t * | key,
|  | const wchar_t * | string_value
| ) |  |

int ON_UserStringList::SetUserStrings | ( | int | count,
|  | const ON_UserString * | us,
|  | bool | bReplace
| ) |  |

unsigned int ON_UserStringList::SizeOf | ( |  | ) | const

virtual

Reimplemented from ON_UserData.

ON_BOOL32 ON_UserStringList::Write | ( | ON_BinaryArchive & | binary_archive | ) | const

virtual

Reimplemented from ON_Object.

## Member Data Documentation

ON_ClassArray<ON_UserString> ON_UserStringList::m_e

Definition at line 328 of file opennurbs_userdata.h.

The documentation for this class was generated from the following file:

- /build/pcl-0nnAvv/pcl-1.7.2/surface/include/pcl/surface/3rdparty/opennurbs/opennurbs_userdata.h